/*
 * Tapioca library
 * Copyright (C) 2006 INdT.
 * @author  Marcio Macedo <marcio.macedo@indt.org.br>
 * @author  Luiz Augusto von Dentz <luiz.dentz@indt.org.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __TPA_CONTACT_BASE_PRIV_H__
#define __TPA_CONTACT_BASE_PRIV_H__

#include "tpa-contact-base.h"

void                tpa_contact_base_receive_avatar_updates
                                                            (TpaContactBase *self,
                                                             gboolean enabled,
                                                             const gchar *token);
void                tpa_contact_base_alias_changed          (TpaContactBase *self,
                                                             const gchar *alias);
void                tpa_contact_base_presence_updated       (TpaContactBase *self,
                                                             const gchar *presence,
                                                             const gchar *message);
void                tpa_contact_base_capabilities_changed   (TpaContactBase *self,
                                                             TpaCapability capability);
void                tpa_contact_base_avatar_updated         (TpaContactBase *self,
                                                             const gchar *token);


#endif /* __TPA_CONTACT_BASE_PRIV_H__ */
