/*
 * Tapioca library
 * Copyright (C) 2006 INdT.
 * @author  Luiz Augusto von Dentz <luiz.dentz@indt.org.br>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef __TPA_PROFILE_PRIV_H__
#define __TPA_PROFILE_PRIV_H__

#include "tpa-profile.h"

G_BEGIN_DECLS

TpaProfile *        tpa_profile_new                     (const gchar *name,
                                                         const gchar *description,
                                                         const gchar *protocol,
                                                         const gchar *icon);
GHashTable *        tpa_profile_get_formatted_table     (TpaProfile *self);
TpaParameter *      tpa_profile_add_parameter           (TpaProfile *self,
                                                         const gchar *name,
                                                         GType type);
 TpaParameter *     tpa_profile_add_parameter_signature (TpaProfile *self,
                                                         const gchar *name,
                                                         const gchar *signature);
gboolean            tpa_profile_remove_parameter        (TpaProfile *self,
                                                         const gchar *name);

G_END_DECLS

#endif /* #ifndef __TPA_PROFILE_PRIV_H__*/
